import openapi

hr = openapi.HmiRequest()

# 一、设置/检测机器人状态：
#   1. 上电
#   2. 软限位打开
#   3. 示教器断开
#   4. 操作模式/机器人类型
#   5. 控制器状态/工作任务控件/机器人动态

# 二、加载RL程序开始运行
#   1. 怎么触发急停
#   2. 怎么恢复急停
#   3. 怎么采集曲线
#   4.

# 三、运行过程中，收集数据，并处理出结果

# 四


# _id = hr.excution("state.get_state")
# print(hr.get_from_id(_id))
# _id = hr.excution('state.set_tp_mode', tp_mode='without')
# print(hr.get_from_id(_id))

_id = hr.excution('device.get_params')
print(hr.get_from_id(_id))
# _id = hr.excution('state.switch_manual')
# print(hr.get_from_id(_id))
